Skip to main content
GET
/
surveys
/
{survey_id_or_slug}
/
history
List survey changesets
curl --request GET \
  --url https://api.questra.ai/surveys/{survey_id_or_slug}/history \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Org-Id: <x-org-id>'
{
  "data": [
    {
      "id": "<string>",
      "survey_id": "<string>",
      "idempotency_key": "<string>",
      "type": "initial_programming",
      "status": "in_progress",
      "user_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "title": "<string>",
      "metadata": {}
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Org-Id
string
required

The ID of the organization to make requests against. Found on your Settings page.

Path Parameters

survey_id_or_slug
string
required

Unique ID or slug of the survey

Query Parameters

cursor
string

Pagination cursor returned from a previous request

limit
integer
default:25

Maximum number of results to return

Required range: 1 <= x <= 100

Response

200 - application/json

Paginated list of changesets

data
object[]
required
nextCursor
string | null
required